static const char *configfile  = "config.cfg";
static const char *outputdir   = "output";
static const char *templatedir = "templates";

enum { BlockHeader = 0, BlockItem, BlockFooter, BlockLast };

struct block {
	char *name; /* filename */
	char *data; /* content (set at runtime) */
};

struct template {
	char *name;
	/* blocks: header, item, footer */
	struct block blocks[BlockLast];
	/* output FILE * (set at runtime) */
	FILE *fp;
};
